# Documentation

Menu

## SQL extends AbstractSQL
in package

SQL.php : 25

SQLite Specific SQL

### Table of Contents

columnList() : string
  SQL to show information about columns in a table
dbList() : string
  Returns sql to list other databases. Meaningless for SQLite, as this just returns the database(s) that we are currently connected to.
explain() : string
  Get the query plan for the sql query
fkList() : string
  Get the list of foreign keys for the current table
functionList() : string
  Return sql to list functions
indexList() : string
  Get the list of indexes for the current table
limit() : string
  Limit clause
procedureList() : string
  Return sql to list stored procedures
random() : string
  Random ordering keyword
sequenceList() : string
  Return sql to list sequences
systemTableList() : array<string|int, string>
  List the system tables
tableList() : string
  Returns sql to list tables
triggerList() : string
  Returns sql to list triggers
typeList() : array<string|int, string>
  SQL to show list of field types
viewList() : string
  Returns sql to list views

### Methods

#### columnList()

SQL.php : 143

SQL to show information about columns in a table

`public columnList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### dbList()

SQL.php : 47

Returns sql to list other databases. Meaningless for SQLite, as this just returns the database(s) that we are currently connected to.

`public dbList() : string`

##### Return values

string —

#### explain()

SQL.php : 30

Get the query plan for the sql query

`public explain(string $sql) : string`

##### Parameters

$sql : string

##### Return values

string —

#### fkList()

SQL.php : 154

Get the list of foreign keys for the current table

`public fkList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### functionList()

SQL.php : 107

Return sql to list functions

`public functionList() : string`

##### Tags

throws
  NotImplementedException

##### Return values

string —

#### indexList()

SQL.php : 164

Get the list of indexes for the current table

`public indexList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### limit()

AbstractSQL.php : 27

Limit clause

`public limit(string $sql, int $limit[, int|null $offset = NULL ]) : string`

##### Parameters

$sql : string
$limit : int
$offset : int|null = NULL

##### Return values

string —

#### procedureList()

SQL.php : 117

Return sql to list stored procedures

`public procedureList() : string`

##### Tags

throws
  NotImplementedException

##### Return values

string —

#### random()

SQL.php : 38

Random ordering keyword

`public random() : string`

##### Return values

string —

#### sequenceList()

SQL.php : 125

Return sql to list sequences

`public sequenceList() : string`

##### Return values

string —

#### systemTableList()

SQL.php : 73

List the system tables

`public systemTableList() : array<string|int, string>`

##### Return values

array<string|int, string> —

#### tableList()

SQL.php : 55

Returns sql to list tables

`public tableList() : string`

##### Return values

string —

#### triggerList()

SQL.php : 95

Returns sql to list triggers

`public triggerList() : string`

##### Return values

string —

#### typeList()

SQL.php : 135

SQL to show list of field types

`public typeList() : array<string|int, string>`

##### Return values

array<string|int, string> —

#### viewList()

SQL.php : 85

Returns sql to list views

`public viewList() : string`

##### Return values

string —

## Search results